Bug 21580 - Order creation for EDIFACT vendor fails
Summary: Order creation for EDIFACT vendor fails
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Colin Campbell
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-16 14:53 UTC by Colin Campbell
Modified: 2019-10-10 07:25 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Add a test for message buyer_ean method (931 bytes, patch)
2018-10-16 15:40 UTC, Colin Campbell
Details | Diff | Splinter Review
pass the buyer_ean to order routine (924 bytes, patch)
2018-10-16 15:42 UTC, Colin Campbell
Details | Diff | Splinter Review
Bug 21580 Add test for message buyer_ean method (989 bytes, patch)
2019-10-04 07:57 UTC, Brendan Gallagher
Details | Diff | Splinter Review
Bug 21580 Pass buyer_ean to create_edi_order (983 bytes, patch)
2019-10-04 07:58 UTC, Brendan Gallagher
Details | Diff | Splinter Review
Bug 21580: Pass buyer_ean to create_edi_order (1.02 KB, patch)
2019-10-10 05:47 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21580: Add test for message buyer_ean method (1.02 KB, patch)
2019-10-10 05:48 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21580: Pass buyer_ean to create_edi_order (1.02 KB, patch)
2019-10-10 05:48 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2018-10-16 14:53:16 UTC
The loop generating orders for vendors with auto_orders set fails as only one of the required two parameters is passed to create_edi_order
Comment 1 Colin Campbell 2018-10-16 15:40:24 UTC
Created attachment 80662 [details] [review]
Add a test for message buyer_ean method
Comment 2 Colin Campbell 2018-10-16 15:42:18 UTC
Created attachment 80663 [details] [review]
pass the buyer_ean to order routine

Call of the subroutine now matchs documentation and passes parameter validation
Comment 3 Hayley Mapley 2019-03-08 02:31:50 UTC
(In reply to Colin Campbell from comment #2)
> Created attachment 80663 [details] [review] [review]
> pass the buyer_ean to order routine
> 
> Call of the subroutine now matchs documentation and passes parameter
> validation

Hi, is there a test plan for this?
Comment 4 Brendan Gallagher 2019-10-04 07:57:54 UTC
Created attachment 93674 [details] [review]
Bug 21580 Add test for message buyer_ean method

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>
Comment 5 Brendan Gallagher 2019-10-04 07:58:05 UTC
Created attachment 93675 [details] [review]
Bug 21580 Pass buyer_ean to create_edi_order

create_edi_order requires two parameters to be passed
but if vendor was set to auto_order the subroutine
was called with basketno only resulting in the error
'no basket or ean passed' - pass the buyer_ean as
passed in the quotes message

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>
Comment 6 Katrin Fischer 2019-10-10 05:47:18 UTC
Created attachment 93943 [details] [review]
Bug 21580: Pass buyer_ean to create_edi_order

create_edi_order requires two parameters to be passed
but if vendor was set to auto_order the subroutine
was called with basketno only resulting in the error
'no basket or ean passed' - pass the buyer_ean as
passed in the quotes message

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2019-10-10 05:48:08 UTC
Created attachment 93944 [details] [review]
Bug 21580: Add test for message buyer_ean method

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2019-10-10 05:48:12 UTC
Created attachment 93945 [details] [review]
Bug 21580: Pass buyer_ean to create_edi_order

create_edi_order requires two parameters to be passed
but if vendor was set to auto_order the subroutine
was called with basketno only resulting in the error
'no basket or ean passed' - pass the buyer_ean as
passed in the quotes message

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2019-10-10 05:48:58 UTC
Passing QA on this as agreed with RM - both parties heavily using EDIFACT have been involved in the QA process. Tests and QA script pass.
Comment 10 Martin Renvoize 2019-10-10 07:25:05 UTC
Nice work!

Pushed to master for 19.11.00